Bug 134593 - Change from using su to runuser in initscripts
Change from using su to runuser in initscripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 16:37 EDT by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 14:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for changeing su to runuser (705 bytes, text/plain)
2004-10-04 16:38 EDT, Daniel Walsh
no flags Details
Patch for changing su to runuser, Also change cron job (1.34 KB, text/plain)
2004-10-04 16:46 EDT, Daniel Walsh
no flags Details

  None (edit)
Description Daniel Walsh 2004-10-04 16:37:37 EDT
We have created a newversion of the su command called runuser, which
will run a program as a different user.  The command can only be run
as root and will not use pam or prompt for passwords.  Otherwize it
works exactly as su.  This change is needed by SELinux in order to
support proper transitioning on process execution.  

Attached is a patch to the cyrus-imapd.init file to make the change.
Comment 1 Daniel Walsh 2004-10-04 16:38:19 EDT
Created attachment 104746 [details]
Patch for changeing su to runuser
Comment 2 Daniel Walsh 2004-10-04 16:46:32 EDT
Created attachment 104748 [details]
Patch for changing su to runuser, Also change cron job
Comment 3 Daniel Walsh 2004-10-06 14:09:43 EDT
This is in cyrus-imapd-2.2.6-2.FC3.6

Note You need to log in before you can comment on or make changes to this bug.